package com.gree.mall.contest.bean.admin;

import com.gree.mall.contest.plus.entity.AdminCompanyWechat;
import com.gree.mall.contest.plus.entity.AdminUser;
import com.gree.mall.contest.plus.entity.MerchantWebsit;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.util.List;

@EqualsAndHashCode(callSuper = true)
@Data
public class AdminUserCom extends AdminUser {

    @Schema(description = "部门")
    private MerchantWebsit merchantWebsit;
    @Schema(description = "部门id")
    private List<String> adminWebsitIds;
    @Schema(description = "只读帐号")
    private Boolean onlyRead = false;
    @Schema(description = "商户ids")
    private List<String> companyWechatIds;
    @Schema(description = "当前登录人所使用的商户信息")
    private AdminCompanyWechat adminCompanyWechat;
    @Schema(description = "当前登录人所使用的商户id")
    private String loginCompanyWechatId;
    @Schema(description = "当前登录人所使用的商户名称")
    private String loginCompanyName;

    @Schema(description = "所有区id(平台业务员用)")
    private List<String> areaIds;

}
