package com.gree.mall.contest.bean.goods;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.math.BigDecimal;

@Data
public class PromotionGoodsBean {

    @Schema(description = "团购活动id")
    private String promotionGroupId;
    @Schema(description = "商品id")
    private String goodsId;
    @Schema(description = "商品名称")
    private String goodsName;
    @Schema(description = "商品图")
    private String goodsImgSrc;
    @Schema(description = "拼团价")
    private BigDecimal groupPrice;
    @Schema(description = "销售数量")
    private Integer saleNum;
    @Schema(description = "库存")
    private Integer stock;
    @Schema(description = "划线价")
    private BigDecimal orgGoodsPrice;

}
