package com.gree.mall.contest.bean.merchant;

import com.gree.mall.contest.annotation.ZfireField;
import com.gree.mall.contest.enums.merchant.WebsitApplyStatusEnum;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.util.Date;

@Data
public class WebsitApplyVO {

    @ZfireField(hide = true)
    @Schema(description = "服务商申请id")
    private String websitApplyId;

    @Schema(description = "意向服务类目")
    private String categoryName;
    @ZfireField(hide = true)
    @Schema(description = "服务类目id")
    private String categoryId;

    @Schema(description = "公司名称")
    private String companyName;

    @Schema(description = "联系人")
    private String linkName;

    @Schema(description = "状态")
    private WebsitApplyStatusEnum status;

    @Schema(description = "联系电话")
    private String mobile;

    @Schema(description = "公司地址")
    private String address;

    @Schema(description = "创建时间")
    private Date createTime;

    @Schema(description = "更新人")
    private String updateBy;

    @Schema(description = "更新时间")
    private Date updateTime;

}
