package com.gree.mall.contest.bean.order;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.math.BigDecimal;
import java.util.List;

@Data
public class ShoppingCartDetail {

    @Schema(description = "购物车总数量")
    private Integer totalNum;
    @Schema(description = "购物车总金额（不含运费）")
    private BigDecimal totalAmount;
    @Schema(description = "购物车商品数组")
    private List<ShoppingCartList> shoppingCartLists;

}
