package com.gree.mall.contest.bean.user;

import com.gree.mall.contest.plus.entity.AdminCompanyWechat;
import com.gree.mall.contest.plus.entity.AdminCompanyWechatOther;
import com.gree.mall.contest.plus.entity.User;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.EqualsAndHashCode;

@EqualsAndHashCode(callSuper = true)
@Data
public class CurrentCompanyWechat extends AdminCompanyWechat {

    @Schema(description = "用户id")
    private String userId;
    @Schema(description = "当前企业id")
    private String currentCompanyWechatId;
    @Schema(description = "当前企业名称")
    private String currentCompanyName;
    @Schema(description = "企业其他配置")
    private AdminCompanyWechatOther adminCompanyWechatOther;
    @Schema(description = "师傅昵称")
    private User user;


}
