package com.gree.mall.contest.bean.user;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.math.BigDecimal;
import java.util.List;

@Data
public class RankBean {
    @Schema(description = "排行榜")
    private List<RankItemBean> rankList;
    @Schema(description = "我的排名")
    private RankItemBean myRank;
    @Schema(description = "开始时间")
    private String startPeriod;
    @Schema(description = "结束时间")
    private String endPeriod;
    @Schema(description = "业绩是否上涨,true:上涨,false:下降")
    private Boolean upOrDown;
    @Schema(description = "上月业绩")
    private BigDecimal income;
}
