package com.gree.mall.contest.commonmapper;

import com.baomidou.mybatisplus.annotation.InterceptorIgnore;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.gree.mall.contest.bean.member.MemberBean;
import com.gree.mall.contest.bean.user.MyProfitBean;
import com.gree.mall.contest.bean.user.UserApplyBean;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

@Mapper
public interface CustomMemberMapper {
    @InterceptorIgnore(tenantLine = "true")
    List<MemberBean> queryUser(@Param("type") String type, @Param("keyword") String keyword,
                               @Param("websitNos") List<String> websitNos, @Param("startTime") String startTime,
                               @Param("endTime") String endTime, @Param("companyWechatIds") List<String> companyWechatIds);

    @InterceptorIgnore(tenantLine = "true")
    IPage<UserApplyBean> queryServiceApplyList(Page<Object> objectPage,
                                               @Param("companyWechatIds") List<String> companyWechatIds,
                                               @Param("keyword") String keyword,
                                               @Param("status") String status);
    @InterceptorIgnore(tenantLine = "true")
    MyProfitBean queryProfitSum(@Param("workUserId") String workUserId, @Param("userId") String userId);
}
