package com.gree.mall.contest.bean.coupon;

import com.gree.mall.contest.plus.entity.Coupon;
import com.gree.mall.contest.plus.entity.CouponGoods;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.util.List;


@EqualsAndHashCode(callSuper = true)
@Data
public class CouponDetailBean extends Coupon {
    @Schema(description = "商品列表")
    private List<CouponGoods> goodsList;

    @Schema(description = "待发券标签列表")
    private List<CouponTagBean> tagList;

    @Schema(description = "待发券用户列表")
    private List<CouponUserBean> userList;
}
