package com.gree.mall.contest.bean.merchant;


import com.gree.mall.contest.plus.entity.WebsitApply;
import com.gree.mall.contest.plus.entity.WebsitApplyArea;
import com.gree.mall.contest.plus.entity.WebsitApplyLog;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.util.List;

@EqualsAndHashCode(callSuper = true)
@Data
public class WebsitApplyDetail extends WebsitApply {

    @Schema(description = "区域")
    private List<WebsitApplyArea> websitApplyAreaList;

    @Schema(description = "跟进日志")
    private List<WebsitApplyLog> websitApplyLogList;
}
