package com.gree.mall.contest.bean.user;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

@Data
public class UserAddressBean {
    @Schema(description =  "地址id")
    private String userAddressId;

    @Schema(description =  "用户id")
    private String userId;
    @Schema(description =  "收货人姓名")
    private String name;
    @Schema(description =  "收货电话")
    private String phone;
    @Schema(description =  "省")
    private String province;
    @Schema(description =  "市")
    private String city;
    @Schema(description =  "区")
    private String area;
    @Schema(description = "街道")
    private String street;
    @Schema(description =  "收货地址")
    private String address;
    @Schema(description =  "门牌号")
    private String houseNo;
    @Schema(description =  "是否默认地址")
    private Boolean defaultAddr;
}
