package com.gree.mall.contest.enums.manage;

import com.baomidou.mybatisplus.annotation.EnumValue;
import com.fasterxml.jackson.annotation.JsonValue;
import com.gree.mall.contest.enums.base.BaseEnum;
import lombok.AccessLevel;
import lombok.Getter;
import lombok.RequiredArgsConstructor;

@Getter
@RequiredArgsConstructor(access = AccessLevel.PRIVATE)
public enum SendObjEnum implements BaseEnum {
    A("A","平台"),
    S("S","服务商"),
    M("M","合作商家"),
    C("C","用户端"),
    W("W","工程师端"),
    P("P","推单端"),
    ;

    @EnumValue
    @JsonValue
    private final String key;
    private final String remark;
}
